Module: selenium-webdriver/http
View Source

# class Request

Alias for `webdriver.http.Request`

Describes a partial HTTP request. This class is a "partial" request and only defines the path on the server to send a request to. It is each `webdriver.http.Client`'s responsibility to build the full URL for the final request.

### new Request(method, path, opt_data)

Parameters

method`string`

  The HTTP method to use for the request.

path`string`

  Path on the server to send the request to.

opt_data`?Object=`

  This request's JSON data.

## Instance Methods

### toString()code »

Returns

`string`

## Instance Properties

data `Object`

  This request's body.

headers `Object<?, (string|number)>`

  The headers to send with the request.

method `string`

  The HTTP method to use for the request.

path `string`

  The path on the server to send the request to.